X
Tap here to go to the mobile version of the site.

Support Forum

Java 7 Update 7 won't work

Posted

After problems with security in all recent Java versions, which Mozilla had automatically disabled. Oracle released the fixed version of Java (7 update 7) which after uninstalling my current version (6 update 34?) I installed. Now I find that there is no Java to been seen on firefox (I have the lastest version). It's not in the plugin list and going to the Java website and running their online test (http://www.java.com/en/download/testjava.jsp) says that I do not have Java on my system. So I did the normal troubleshooting things mozilla recommends and I have still not had any luck! I've looked in regedit for any signs of Java v.6 but it seems to have been properly deleted with uninstallation, so I don't think its the old version causing the problem. I'm out of ideas. Is this a problem with the new Java release or is it firefox? Also note that I've tested IE (64bit) and it seems to have java.

After problems with security in all recent Java versions, which Mozilla had automatically disabled. Oracle released the fixed version of Java (7 update 7) which after uninstalling my current version (6 update 34?) I installed. Now I find that there is no Java to been seen on firefox (I have the lastest version). It's not in the plugin list and going to the Java website and running their online test (http://www.java.com/en/download/testjava.jsp) says that I do not have Java on my system. So I did the normal troubleshooting things mozilla recommends and I have still not had any luck! I've looked in regedit for any signs of Java v.6 but it seems to have been properly deleted with uninstallation, so I don't think its the old version causing the problem. I'm out of ideas. Is this a problem with the new Java release or is it firefox? Also note that I've tested IE (64bit) and it seems to have java.

Chosen solution

Did you install the 32 bit Java version for Firefox?
Firefox is a 32 bit application and requires 32 bit versions of plugins

Note that there is also a Java 6 update 35 version released to fix the security vulnerability.

Read this answer in context 0

Helpful Reply

Solved. Was running a 32-bit Firefox, assumed it was 64-bit like most other things on my PC. Downloaded 32-bit java and worked.

Solved. Was running a 32-bit Firefox, assumed it was 64-bit like most other things on my PC. Downloaded 32-bit java and worked.
cor-el
  • Top 10 Contributor
  • Moderator
12313 solutions 113996 answers

Chosen Solution

Did you install the 32 bit Java version for Firefox?
Firefox is a 32 bit application and requires 32 bit versions of plugins

Note that there is also a Java 6 update 35 version released to fix the security vulnerability.

Did you install the 32 bit Java version for Firefox?<br /> Firefox is a 32 bit application and requires 32 bit versions of plugins Note that there is also a Java 6 update 35 version released to fix the security vulnerability. *http://www.oracle.com/technetwork/topics/security/alert-cve-2012-4681-1835715.html

Question owner

Yeah I forgot that Firefox was a 32-bit application. So downloaded the 32-bit version of Java. Sometimes it's the simple answers that you overlook.

Yeah I forgot that Firefox was a 32-bit application. So downloaded the 32-bit version of Java. Sometimes it's the simple answers that you overlook.